# vim: set ts=2 sw=2 sts=2 et:
#
# Module data dump
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Product\GlobalTab:
  - service_name: CustomerGalleryTab
    position: 10100

XLite\Model\LanguageLabel:
  - {name: 'CustomerGalleryTab', translations: [{code: en, label: 'Customer Gallery'}]}
  - {name: 'Showcase your customers experience with an opportunity to upload your products live photos.', translations: [{code: en, label: 'Showcase your customers experience with an opportunity to upload your products live photos.'}]}
  - {name: 'Card name', translations: [{code: en, label: 'Card name'}]}
  - {name: 'New Card', translations: [{code: en, label: 'New Card'}]}
  - {name: 'Please save changes to enable attaching featured products', translations: [{code: en, label: 'Adding featured products for this card will be available after completing the mandatory fields and saving.'}]}
  - {name: 'Featured Products (X)', translations: [{code: en, label: 'Featured Products ({{products}})'}]}
  - {name: 'Please enter card name', translations: [{code: en, label: 'Please enter card name'}]}
  - {name: 'Card name length must be not more than X chars', translations: [{code: en, label: 'Card name length must be not more than {{length}} chars'}]}
  - {name: 'Please select X', translations: [{code: en, label: 'Please select {{name}}'}]}
  - {name: 'Preview page', translations: [{code: en, label: 'Preview page'}]}
  - {name: 'Add existing products from the catalog.', translations: [{code: en, label: 'Add existing products from the catalog.'}]}
  - {name: 'X galleries have been removed.', translations: [{code: en, label: '{{count}} galleries have been removed.'}]}
  - {name: 'X gallery have been removed.', translations: [{code: en, label: '{{count}} gallery has been removed.'}]}
  - {name: 'No galleries selected, nothing to delete.', translations: [{code: en, label: 'No galleries selected, nothing to delete.'}]}
  - {name: 'X products removed from the gallery.', translations: [{code: en, label: '{{count}} products have been removed from the gallery.'}]}
  - {name: 'X product removed from the gallery.', translations: [{code: en, label: '{{count}} product has been removed from the gallery.'}]}
  - {name: 'All galleries have been disabled.', translations: [{code: en, label: 'All galleries have been disabled.'}]}
  - {name: 'All galleries have been enabled.', translations: [{code: en, label: 'All galleries have been enabled.'}]}
  - {name: 'Selected galleries have been disabled.', translations: [{code: en, label: 'Selected galleries have been disabled.'}]}
  - {name: 'Selected galleries have been enabled.', translations: [{code: en, label: 'Selected galleries have been enabled.'}]}
  - {name: 'Card page title', translations: [{code: en, label: 'Card page title'}]}
  - {name: 'Leave blank to use card name as page title.', translations: [{code: en, label: 'Leave blank to use card name as page title.'}]}
  - {name: 'There must be at least one image in the gallery', translations: [{code: en, label: 'There must be at least one image in the gallery'}]}
  - {name: 'Incorrect images format', translations: [{code: en, label: 'Incorrect images format'}]}
  - {name: '[cg] Customer gallery', translations: [{code: en, label: 'Customer gallery'}]}
  - {name: '[cg] Customer gallery detailed', translations: [{code: en, label: 'Customer gallery detailed'}]}
  - {name: '[cg] No photos have been added yet.', translations: [{code: en, label: 'No photos have been added yet.'}]}
  - {name: '[cg] BEGIN - END of TOTAL', translations: [{code: en, label: '<span class="pager__products">Showing </span><span class="pager__count pager__count--begin">{{begin}}</span>&ndash;<span class="pager__count pager__count--end">{{end}}</span> of <span class="pager__count pager__count--total">{{total}} results</span>'}]}
  - {name: '[cg] Next card', translations: [{code: en, label: 'Next card'}]}
  - {name: '[cg] Prev card', translations: [{code: en, label: 'Prev card'}]}
  - {name: '[cg] Vehicle', translations: [{code: en, label: 'Vehicle'}]}
  - {name: '[cg] Featured products', translations: [{code: en, label: 'Featured products'}]}
  - {name: '[cg] Page title', translations: [{code: en, label: 'Page title'}]}
  - {name: '[cg] Please enter the page title', translations: [{code: en, label: 'Please enter the page title'}]}
  - {name: '[cg] Customer gallery settings have been updated', translations: [{code: en, label: 'Customer gallery settings have been updated'}]}
  - {name: '[cg] Next image', translations: [{code: en, label: 'Next image'}]}
  - {name: '[cg] Previous image', translations: [{code: en, label: 'Previous image'}]}
  - {name: '[cg] Cards tab name', translations: [{code: en, label: 'Cards'}]}
  - {name: '[cg] Settings tab name', translations: [{code: en, label: 'Settings'}]}
  - {name: '[cg] X cards', translations: [{code: en, label: '{{x}} cards'}]}
  - {name: '[cg] X card', translations: [{code: en, label: '{{x}} card'}]}
  - {name: '[cg] Apply filter', translations: [{code: en, label: 'Apply filter'}]}
  - {name: '[cg] Reset filters', translations: [{code: en, label: 'Reset filters'}]}
  - {name: '[cg] Filters', translations: [{code: en, label: 'Filters'}]}
  - {name: '[cg] Brand', translations: [{code: en, label: 'Brand'}]}
  - {name: '[cg] View more...', translations: [{code: en, label: 'View more...'}]}

XC\CustomerGallery\Model\CustomerGallerySettingsTranslation:
  - title: "Customer gallery"
    code: en
    metaDescription: "Customer gallery"

XLite\Model\Config:
  - name: clean_url
    category: XC\CustomerGallery
    type: hidden
    value: customer-gallery
    orderby: 100
    module: XC\CustomerGallery
